<?php
function updateWebConfig($version){
    $curName = "web.php".$version.".config";
    $newName = "web.config";
    return copy($curName, $newName);
}

$errorMsg = '';
if(isset($_POST['version'])){
    $version = htmlspecialchars($_POST['version']);
    if ($version){
        $success = updateWebConfig($version);
        if ($success){
            header("Location: ".$_SERVER["REQUEST_URI"]);
            exit;
        } else {
            $errorMsg = "<p style='color: #f00;'>Could not update PHP version.</p>";
        }
    }
}
?>
<html>
<head>
<title>Select PHP version to use</title>
<style type="text/css">
body {
    font-family: Verdana, sans-serif;
}
form {
    width: 40em; 
    margin: 2em auto;
    padding: 1em;
    background-color: #bbe;
    box-shadow: 1px 4px 2em #666;
    border: 1px solid #666698;
}
input {
    font-family: Verdana, sans-serif;
    font-size: 14px;
    padding: .5em;
}
</style>
<body>
<form method="post">
<?php if ($errorMsg){echo $errorMsg;} ?>
<h3>Current PHP version is <?php echo phpversion(); ?> (<a href="phpinfo.php">view phpinfo</a>)</h3> 
<h3>Please select PHP version to use:</h3>
<label for="id52"><input id="id52" type="radio" value="52" name="version" />PHP 5.2</label><br/>
<label for="id53"><input id="id53" type="radio" value="53" name="version" />PHP 5.3</label><br/>
<label for="id54"><input id="id54" type="radio" value="54" name="version" />PHP 5.4</label><br/>
<br />
<input type="submit" value="Set up" />
</form>
</body>
</html>